libalpm_groups(3)

NAME
libalpm_groups - Groups

SYNOPSIS

  Data Structures
struct alpm_group_t
Package group.

  Functions
alpm_list_t * alpm_find_group_pkgs (alpm_list_t *dbs, const char *name)
Find group members across a list of databases.

Detailed Description

Functions for package groups

Data Structure Documentation

struct alpm_group_t

Package group.

Data Fields:
    char * name group name

    alpm_list_t * packages list of alpm_pkg_t packages

Function Documentation

  alpm_list_t * alpm_find_group_pkgs (alpm_list_t * dbs, const char * name)

Find group members across a list of databases. If a member exists in several databases, only the first database is used. IgnorePkg is also handled.

Parameters
    dbs the list of alpm_db_t *
    name the name of the group

Returns
    the list of alpm_pkg_t * (caller is responsible for alpm_list_free)

Author

Generated automatically by Doxygen for libalpm from the source code.